# Update a memory store

PATCH https://api.synthflow.ai/v2/memory_stores/{memory_store_id}
Content-Type: application/json

Reference: https://docs.synthflow.ai/api-reference/platform-api/memory-stores/update-a-memory-store

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /memory_stores/{memory_store_id}:
    patch:
      operationId: update-a-memory-store
      summary: Update a memory store
      tags:
        - ''
      parameters:
        - name: memory_store_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/memory_store_id'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/updateAMemoryStore_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: Memory store name.
                description:
                  type: string
                  description: Memory store description.
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    memory_store_id:
      type: string
      description: The ID of the memory store (group).
      title: memory_store_id
    updateAMemoryStore_Response_200:
      type: object
      properties:
        id:
          type: string
      title: updateAMemoryStore_Response_200
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786"

payload = {
    "title": "Updated Healthcare Customers",
    "description": "Updated memory store description"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786"

	payload := strings.NewReader("{\n  \"title\": \"Updated Healthcare Customers\",\n  \"description\": \"Updated memory store description\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Updated Healthcare Customers\",\n  \"description\": \"Updated memory store description\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Updated Healthcare Customers\",\n  \"description\": \"Updated memory store description\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Updated Healthcare Customers\",\n  \"description\": \"Updated memory store description\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Updated Healthcare Customers",
  "description": "Updated memory store description"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/memory_stores/9ad09ad3-9c22-441e-ae35-c05016a09786")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```